
@import 'variables';
@import 'mixins';


html {
	background: $body-background;
}


/* Links */

a {
	color: $link;

	&:hover,
	&:active,
	&:focus {
		color: $link-focus;
	}
}

#media-upload a.del-link:hover,
div.dashboard-widget-submit input:hover,
.subsubsub a:hover,
.subsubsub a.current:hover {
	color: $link-focus;
}


/* Forms */

input[type=checkbox]:checked:before {
	color: $form-checked;
}

input[type=radio]:checked:before {
	background: $form-checked;
}

.ere-core-ui input[type="reset"]:hover,
.ere-core-ui input[type="reset"]:active {
	color: $link-focus;
}


/* Core UI */

.ere-core-ui {
	.button-primary {
		@include button( $button-color );
	}

	.ere-ui-primary {
		color: $text-color;
		background-color: $base-color;
	}
	.ere-ui-text-primary {
		color: $base-color;
	}

	.ere-ui-highlight {
		color: $menu-highlight-text;
		background-color: $menu-highlight-background;
	}
	.ere-ui-text-highlight {
		color: $menu-highlight-background;
	}

	.ere-ui-notification {
		color: $menu-bubble-text;
		background-color: $menu-bubble-background;
	}
	.ere-ui-text-notification {
		color: $menu-bubble-background;
	}

	.ere-ui-text-icon {
		color: $menu-icon;
	}
}


/* List tables */

.wrap .add-new-h2:hover, /* deprecated */
.wrap .page-title-action:hover,
.tablenav .tablenav-pages a:hover,
.tablenav .tablenav-pages a:focus {
	color: $menu-text;
	background-color: $menu-background;
}

.view-switch a.current:before {
	color: $menu-background;
}

.view-switch a:hover:before {
	color: $menu-bubble-background;
}


/* Admin Menu */

#adminmenuback,
#adminmenuwrap,
#adminmenu {
	background: $menu-background;
}

#adminmenu a {
	color: $menu-text;
}

#adminmenu div.ere-menu-image:before {
	color: $menu-icon;
}

#adminmenu a:hover,
#adminmenu li.menu-top:hover,
#adminmenu li.opensub > a.menu-top,
#adminmenu li > a.menu-top:focus {
	color: $menu-highlight-text;
	background-color: $menu-highlight-background;
}

#adminmenu li.menu-top:hover div.ere-menu-image:before,
#adminmenu li.opensub > a.menu-top div.ere-menu-image:before {
	color: $menu-highlight-icon;
}


/* Active tabs use a bottom border color that matches the page background color. */

.about-wrap h2 .nav-tab-active,
.nav-tab-active,
.nav-tab-active:hover {
	background-color: $body-background;
	border-bottom-color: $body-background;
}


/* Admin Menu: submenu */

#adminmenu .ere-submenu,
#adminmenu .ere-has-current-submenu .ere-submenu,
#adminmenu .ere-has-current-submenu.opensub .ere-submenu,
.folded #adminmenu .ere-has-current-submenu .ere-submenu,
#adminmenu a.ere-has-current-submenu:focus + .ere-submenu {
	background: $menu-submenu-background;
}

#adminmenu li.ere-has-submenu.ere-not-current-submenu.opensub:hover:after {
	border-right-color: $menu-submenu-background;
}

#adminmenu .ere-submenu .ere-submenu-head {
	color: $menu-submenu-text;
}

#adminmenu .ere-submenu a,
#adminmenu .ere-has-current-submenu .ere-submenu a,
.folded #adminmenu .ere-has-current-submenu .ere-submenu a,
#adminmenu a.ere-has-current-submenu:focus + .ere-submenu a,
#adminmenu .ere-has-current-submenu.opensub .ere-submenu a {
	color: $menu-submenu-text;

	&:focus, &:hover {
		color: $menu-submenu-focus-text;
	}
}


/* Admin Menu: current */

#adminmenu .ere-submenu li.current a,
#adminmenu a.ere-has-current-submenu:focus + .ere-submenu li.current a,
#adminmenu .ere-has-current-submenu.opensub .ere-submenu li.current a {
	color: $menu-submenu-current-text;

	&:hover, &:focus {
		color: $menu-submenu-focus-text;
	}
}

ul#adminmenu a.ere-has-current-submenu:after,
ul#adminmenu > li.current > a.current:after {
    border-right-color: $body-background;
}

#adminmenu li.current a.menu-top,
#adminmenu li.ere-has-current-submenu a.ere-has-current-submenu,
#adminmenu li.ere-has-current-submenu .ere-submenu .ere-submenu-head,
.folded #adminmenu li.current.menu-top {
	color: $menu-current-text;
	background: $menu-current-background;
}

#adminmenu li.ere-has-current-submenu div.ere-menu-image:before,
#adminmenu a.current:hover div.ere-menu-image:before,
#adminmenu li.ere-has-current-submenu a:focus div.ere-menu-image:before,
#adminmenu li.ere-has-current-submenu.opensub div.ere-menu-image:before,
#adminmenu li:hover div.ere-menu-image:before,
#adminmenu li a:focus div.ere-menu-image:before,
#adminmenu li.opensub div.ere-menu-image:before,
.ie8 #adminmenu li.opensub div.ere-menu-image:before {
	color: $menu-current-icon;
}


/* Admin Menu: bubble */

#adminmenu .awaiting-mod,
#adminmenu .update-plugins {
	color: $menu-bubble-text;
	background: $menu-bubble-background;
}

#adminmenu li.current a .awaiting-mod,
#adminmenu li a.ere-has-current-submenu .update-plugins,
#adminmenu li:hover a .awaiting-mod,
#adminmenu li.menu-top:hover > a .update-plugins {
	color: $menu-bubble-current-text;
	background: $menu-bubble-current-background;
}


/* Admin Menu: collapse button */

#collapse-menu {
    color: $menu-collapse-text;
}

#collapse-menu:hover {
    color: $menu-collapse-focus-text;
}

#collapse-button div:after {
    color: $menu-collapse-icon;
}

#collapse-menu:hover #collapse-button div:after {
    color: $menu-collapse-focus-icon;
}


/* Admin Bar */

#ereadminbar {
	color: $menu-text;
	background: $menu-background;
}

#ereadminbar .ab-item,
#ereadminbar a.ab-item,
#ereadminbar > #ere-toolbar span.ab-label,
#ereadminbar > #ere-toolbar span.noticon {
	color: $menu-text;
}

#ereadminbar .ab-icon,
#ereadminbar .ab-icon:before,
#ereadminbar .ab-item:before,
#ereadminbar .ab-item:after {
	color: $menu-icon;
}

#ereadminbar:not(.mobile) .ab-top-menu > li:hover > .ab-item,
#ereadminbar:not(.mobile) .ab-top-menu > li > .ab-item:focus,
#ereadminbar.nojq .quicklinks .ab-top-menu > li > .ab-item:focus,
#ereadminbar.nojs .ab-top-menu > li.menupop:hover > .ab-item,
#ereadminbar .ab-top-menu > li.menupop.hover > .ab-item {
	color: $menu-submenu-focus-text;
	background: $menu-submenu-background;
}

#ereadminbar:not(.mobile) > #ere-toolbar li:hover span.ab-label,
#ereadminbar:not(.mobile) > #ere-toolbar li.hover span.ab-label,
#ereadminbar:not(.mobile) > #ere-toolbar a:focus span.ab-label {
	color: $menu-submenu-focus-text;
}

#ereadminbar:not(.mobile) li:hover .ab-icon:before,
#ereadminbar:not(.mobile) li:hover .ab-item:before,
#ereadminbar:not(.mobile) li:hover .ab-item:after,
#ereadminbar:not(.mobile) li:hover #adminbarsearch:before {
	color: $menu-highlight-icon;
}


/* Admin Bar: submenu */

#ereadminbar .menupop .ab-sub-wrapper {
	background: $menu-submenu-background;
}

#ereadminbar .quicklinks .menupop ul.ab-sub-secondary,
#ereadminbar .quicklinks .menupop ul.ab-sub-secondary .ab-submenu {
	background: $menu-submenu-background-alt;
}

#ereadminbar .ab-submenu .ab-item,
#ereadminbar .quicklinks .menupop ul li a,
#ereadminbar .quicklinks .menupop.hover ul li a,
#ereadminbar.nojs .quicklinks .menupop:hover ul li a {
	color: $menu-submenu-text;
}

#ereadminbar .quicklinks li .blavatar,
#ereadminbar .menupop .menupop > .ab-item:before {
	color: $menu-icon;
}

#ereadminbar .quicklinks .menupop ul li a:hover,
#ereadminbar .quicklinks .menupop ul li a:focus,
#ereadminbar .quicklinks .menupop ul li a:hover strong,
#ereadminbar .quicklinks .menupop ul li a:focus strong,
#ereadminbar .quicklinks .ab-sub-wrapper .menupop.hover > a,
#ereadminbar .quicklinks .menupop.hover ul li a:hover,
#ereadminbar .quicklinks .menupop.hover ul li a:focus,
#ereadminbar.nojs .quicklinks .menupop:hover ul li a:hover,
#ereadminbar.nojs .quicklinks .menupop:hover ul li a:focus,
#ereadminbar li:hover .ab-icon:before,
#ereadminbar li:hover .ab-item:before,
#ereadminbar li a:focus .ab-icon:before,
#ereadminbar li .ab-item:focus:before,
#ereadminbar li.hover .ab-icon:before,
#ereadminbar li.hover .ab-item:before,
#ereadminbar li:hover #adminbarsearch:before,
#ereadminbar li #adminbarsearch.adminbar-focused:before {
	color: $menu-submenu-focus-text;
}

#ereadminbar .quicklinks li a:hover .blavatar,
#ereadminbar .quicklinks li a:focus .blavatar,
#ereadminbar .quicklinks .ab-sub-wrapper .menupop.hover > a .blavatar,
#ereadminbar .menupop .menupop > .ab-item:hover:before,
#ereadminbar.mobile .quicklinks .ab-icon:before,
#ereadminbar.mobile .quicklinks .ab-item:before {
	color: $menu-submenu-focus-text;
}

#ereadminbar.mobile .quicklinks .hover .ab-icon:before,
#ereadminbar.mobile .quicklinks .hover .ab-item:before {
	color: $menu-icon;
}


/* Admin Bar: search */

#ereadminbar #adminbarsearch:before {
	color: $menu-icon;
}

#ereadminbar > #ere-toolbar > #ere-admin-bar-top-secondary > #ere-admin-bar-search #adminbarsearch input.adminbar-input:focus {
	color: $menu-text;
	background: $adminbar-input-background;
}

/* Admin Bar: my account */

#ereadminbar .quicklinks li#ere-admin-bar-my-account.with-avatar > a img {
	border-color: $adminbar-avatar-frame;
	background-color: $adminbar-avatar-frame;
}

#ereadminbar #ere-admin-bar-user-info .display-name {
	color: $menu-text;
}

#ereadminbar #ere-admin-bar-user-info a:hover .display-name {
	color: $menu-submenu-focus-text;
}

#ereadminbar #ere-admin-bar-user-info .username {
	color: $menu-submenu-text;
}


/* Pointers */

.ere-pointer .ere-pointer-content h3 {
	background-color: $highlight-color;
	border-color: darken( $highlight-color, 5% );
}

.ere-pointer .ere-pointer-content h3:before {
	color: $highlight-color;
}

.ere-pointer.ere-pointer-top .ere-pointer-arrow,
.ere-pointer.ere-pointer-top .ere-pointer-arrow-inner,
.ere-pointer.ere-pointer-undefined .ere-pointer-arrow,
.ere-pointer.ere-pointer-undefined .ere-pointer-arrow-inner {
	border-bottom-color: $highlight-color;
}


/* Media */

.media-item .bar,
.media-progress-bar div {
	background-color: $highlight-color;
}

.details.attachment {
	box-shadow:
		inset 0 0 0 3px #fff,
		inset 0 0 0 7px $highlight-color;
}

.attachment.details .check {
	background-color: $highlight-color;
	box-shadow: 0 0 0 1px #fff, 0 0 0 2px $highlight-color;
}

.media-selection .attachment.selection.details .thumbnail {
	-webkit-box-shadow:
		0px 0px 0px 1px #fff,
		0px 0px 0px 3px $highlight-color;
	box-shadow:
		0px 0px 0px 1px #fff,
		0px 0px 0px 3px $highlight-color;
}


/* Themes */

.theme-browser .theme.active .theme-name,
.theme-browser .theme.add-new-theme a:hover:after,
.theme-browser .theme.add-new-theme a:focus:after {
	background: $highlight-color;
}

.theme-browser .theme.add-new-theme a:hover span:after,
.theme-browser .theme.add-new-theme a:focus span:after {
	color: $highlight-color;
}

.theme-section.current,
.theme-filter.current {
	border-bottom-color: $menu-background;
}

body.more-filters-opened .more-filters {
	color: $menu-text;
	background-color: $menu-background;
}

body.more-filters-opened .more-filters:before {
	color: $menu-text;
}

body.more-filters-opened .more-filters:hover,
body.more-filters-opened .more-filters:focus {
	background-color: $menu-highlight-background;
	color: $menu-highlight-text;
}

body.more-filters-opened .more-filters:hover:before,
body.more-filters-opened .more-filters:focus:before {
	color: $menu-highlight-text;
}

/* Widgets */

.widgets-chooser li.widgets-chooser-selected {
	background-color: $menu-highlight-background;
	color: $menu-highlight-text;
}

.widgets-chooser li.widgets-chooser-selected:before,
.widgets-chooser li.widgets-chooser-selected:focus:before {
	color: $menu-highlight-text;
}

/* Customize */

#customize-theme-controls .widget-area-select .selected {
	background-color: $menu-highlight-background;
	color: $menu-highlight-text;
}

#customize-footer-actions .devices button:focus {
	border-bottom-color: $highlight-color;
}

/* Responsive Component */

div#ere-responsive-toggle a:before {
	color: $menu-icon;
}

.ere-responsive-open div#ere-responsive-toggle a {
	// ToDo: make inset border
	border-color: transparent;
	background: $menu-highlight-background;
}

.ere-responsive-open #ereadminbar #ere-admin-bar-menu-toggle a {
	background: $menu-submenu-background;
}

.ere-responsive-open #ereadminbar #ere-admin-bar-menu-toggle .ab-icon:before {
	color: $menu-icon;
}

/* TinyMCE */

.mce-container.mce-menu .mce-menu-item:hover,
.mce-container.mce-menu .mce-menu-item.mce-selected,
.mce-container.mce-menu .mce-menu-item:focus,
.mce-container.mce-menu .mce-menu-item-normal.mce-active,
.mce-container.mce-menu .mce-menu-item-preview.mce-active {
	background: $highlight-color;
}
